.formcontrol {
  display: flex;
  justify-content: center;
}

.formcontrol mat-form-field {
  width: 100%;
  padding: 0 20rem;
}

form {
  display: flex;
  flex-direction: column;

  mat-form-field {
    margin: 0 auto;
    width: 50%;
  }
}

form button {
  margin: .5rem auto;
  width: 15%;
  display: flex;
  justify-content: center;
}

.dog-list {
  text-align: center;

  .dog {
    border: 1px solid gray;
    margin: 0 auto;
    width: 60%;
    
    .edit-dogs {
      height: 0;
      opacity: 0;
      -webkit-transition: height 800ms ease-out;
      -moz-transition: height 800ms ease-out;
      -o-transition: height 800ms ease-out;
      transition: height 800ms ease-out;

      &.toggle {
        opacity: 1;
        height: 500px;
        overflow: hidden;
      }
    }
  }
}

button {
  margin: 1rem;
}

@-webkit-keyframes slide-down {
  0% { opacity: 0; -webkit-transform: translateY(-100%); }   
100% { opacity: 1; -webkit-transform: translateY(0); }
}

@keyframes slide-down {
  0% { opacity: 0; -moz-transform: translateY(-100%); }   
100% { opacity: 1; -moz-transform: translateY(0); }
}